6.0.0-git
2019-05-25

[#13979] Incorrect end date if "All-day event" is deactivated
Summary Incorrect end date if "All-day event" is deactivated
Queue Kronolith
Queue Version 4.2.5
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester krada (at) gmx (dot) net
Created 2015-05-07 (1479 days ago)
Due
Updated 2017-10-20 (582 days ago)
Assigned 2016-01-22 (1219 days ago)
Resolved 2016-04-19 (1131 days ago)
Milestone
Patch No

History
2017-10-20 20:34:35 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit d014b5a71f3981b34d0dd3cc4b0cbfa416b42a7b
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue, 19 Apr 2016 11:41:28 -0400

Bug: 13979 Don't increment the end date when toggling all day event.

  M js/kronolith.js

https://github.com/horde/kronolith/commit/d014b5a71f3981b34d0dd3cc4b0cbfa416b42a7b
2016-04-19 15:44:02 Michael Rubinsky Comment #4
Assigned to Michael Rubinsky
Taken from Jan Schneider
State ⇒ Resolved
Reply to this comment
kronolith 4.2.17
2016-04-19 15:42:29 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_5_2):

commit 0e623622ed1baa561490c3e4f8bf62e8f949f019
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Apr 19 11:39:38 2016 -0400

     Bug: 13979 Don't increment the end date when toggling all day event.

  kronolith/js/kronolith.js |    5 ++---
  1 files changed, 2 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/0e623622ed1baa561490c3e4f8bf62e8f949f019
2016-04-19 15:41:00 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 8d5c2a16aa75eac1038daf35d39233046f4dd8c8
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Tue Apr 19 11:39:38 2016 -0400

     Bug: 13979 Don't increment the end date when toggling all day event.

  kronolith/js/kronolith.js |    5 ++---
  1 files changed, 2 insertions(+), 3 deletions(-)

http://github.com/horde/horde/commit/8d5c2a16aa75eac1038daf35d39233046f4dd8c8
2016-01-22 12:04:38 Jan Schneider Assigned to Jan Schneider
Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
 
2015-05-07 19:37:03 krada (at) gmx (dot) net Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Incorrect end date if "All-day event" is deactivated
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
The end date of an event is (unintendedly) set to the start date +1 if 
the check mark "All-day event" is removed.

Real-life scenario:

I add an event as "all-day event" because I do not know the event 
details yet. Once I receive more information about the event, I edit 
the event in Kronolith, deactivate "all-day event", and enter the 
start and end time. Because Kronolith changed the stop date to the 
following day, I end up with an event spanning two days, even if it is 
supposed to last only one hour, for example.

Expected behavior: Changing the value of "all-day event" should not 
alter the date.

Saved Queries